Method: buyers.finalizedDeals.pause
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
The pause method is used to pause the serving of a given finalized deal without affecting other fields.
This method only applies to programmatic guaranteed deals and preferred deals.
The HTTP request uses a POST method and specifies the deal to be paused via the name path parameter.
The request body can optionally include a reason string to explain the pause.
A successful response returns an instance of FinalizedDeal.
Pauses serving of the given finalized deal. This call only pauses the serving status, and does not affect other fields of the finalized deal. Calling this method for an already paused deal has no effect. This method only applies to programmatic guaranteed deals and preferred deals.
HTTP request
POST https://authorizedbuyersmarketplace.googleapis.com/v1/{name=buyers/*/finalizedDeals/*}:pause
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
name
string
Required. Format: buyers/{accountId}/finalizedDeals/{dealId}
Request body
The request body contains data with the following structure:
JSON representation
{
"reason" : string
}
Fields
reason
string
The reason to pause the finalized deal, will be displayed to the seller. Maximum length is 1000 characters.
Response body
If successful, the response body contains an instance of FinalizedDeal .
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/authorized-buyers-marketplace
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2024-09-18 UTC.
[null,null,["Last updated 2024-09-18 UTC."],[],[]]